namespace Adaptation.FileHandlers.json;

public class CSV
{

#nullable enable

    public string? FileVersion { get; }
    public Info? Info { get; }
    public Setup? Setup { get; }
    public LayerHeader? LayerHeader { get; }
    public ProfileHeader? ProfileHeader { get; }
    public Calibration? Calibration { get; }
    public RawData? RawData { get; }

    internal CSV(csv.CSV csv)
    {
        FileVersion = csv.FileVersion;
        Info = csv.Info is null ? null : new(csv.Info);
        Setup = csv.Setup is null ? null : new(csv.Setup);
        RawData = csv.RawData is null ? null : new(csv.RawData);
        Calibration = csv.Calibration is null ? null : new(csv.Calibration);
        LayerHeader = csv.LayerHeader is null ? null : new(csv.LayerHeader);
        ProfileHeader = csv.ProfileHeader is null ? null : new(csv.ProfileHeader);
    }

}