using System;
using System.Collections.Generic;
using System.IO;

namespace Adaptation.Shared.Properties;

public interface ILogistics
{

    public DateTime DateTimeFromSequence { get; }
    public FileInfo FileInfo { get; }
    public string JobID { get; }
    public List<string> Logistics1 { get; }
    public List<Logistics2> Logistics2 { get; }
    public string MID { get; }
    public string MesEntity { get; }
    public object NullData { get; }
    public string ProcessJobID { get; }
    public string ReportFullPath { get; }
    public long Sequence { get; }
    public double TotalSecondsSinceLastWriteTimeFromSequence { get; }

}