namespace Adaptation._Tests.Shared;

public class MethodBaseName
{

    public string After { get; private set; }
    public string Before { get; private set; }
    public string CellInstanceConnectionName { get; private set; }
    public string CellInstanceConnectionNameFromMethodBaseName { get; private set; }
    public string CellInstanceName { get; private set; }
    public string CellInstanceVersionName { get; private set; }
    public string Comment { get; private set; }
    public string DummyDirectory { get; private set; }
    public string FileFullName { get; private set; }
    public string RawCellInstanceName { get; private set; }
    public string RawVersionName { get; private set; }
    public string Separator { get; private set; }
    public string TestResultsDirectory { get; private set; }
    public string TextFileDirectory { get; private set; }
    public string Ticks { get; private set; }
    public string VersionDirectory { get; private set; }
    public string WithActualCICN { get; private set; }

    public MethodBaseName(string after, string before, string cellInstanceConnectionName, string cellInstanceConnectionNameFromMethodBaseName, string cellInstanceName, string cellInstanceVersionName, string comment, string dummyDirectory, string fileFullName, string rawCellInstanceName, string rawVersionName, string separator, string testResultsDirectory, string textFileDirectory, string ticks, string versionDirectory, string withActualCICN)
    {
        After = after;
        Before = before;
        CellInstanceConnectionName = cellInstanceConnectionName;
        CellInstanceConnectionNameFromMethodBaseName = cellInstanceConnectionNameFromMethodBaseName;
        CellInstanceName = cellInstanceName;
        CellInstanceVersionName = cellInstanceVersionName;
        Comment = comment;
        DummyDirectory = dummyDirectory;
        FileFullName = fileFullName;
        RawCellInstanceName = rawCellInstanceName;
        RawVersionName = rawVersionName;
        Separator = separator;
        TestResultsDirectory = testResultsDirectory;
        TextFileDirectory = textFileDirectory;
        Ticks = ticks;
        VersionDirectory = versionDirectory;
        WithActualCICN = withActualCICN;
    }

}