namespace Adaptation.FileHandlers.json;

public class Position
{

    public double Resistivity { get; }
    public double Resistance { get; }
    public double PercentStandardDeviation { get; }
    public int Number { get; }
    public string Name { get; }

    public Position(double resistivity,
                    double resistance,
                    double percentStandardDeviation,
                    int number,
                    string name)
    {
        Resistivity = resistivity;
        Resistance = resistance;
        PercentStandardDeviation = percentStandardDeviation;
        Number = number;
        Name = name;
    }

}