﻿using System;

namespace Adaptation._Tests.Shared.PasteSpecialXml.EAF.XML.API.CellInstance;

// NOTE: Generated code may require at least .NET Framework 4.5 or .NET Core/Standard 2.0.
/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
[System.Xml.Serialization.XmlRoot(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities", IsNullable = false)]
public partial class CellInstanceVersion
{

#pragma warning disable IDE1006 // Naming Styles

    private string createdByField;

    private DateTime creationDateField;

    private object descriptionField;

    private ExtensionsVersionExtension[] extensionsField;

    private DateTime freezeDateField;

    private string frozenByField;

    private long idField;

    private bool isFrozenField;

    private bool isRetiredField;

    private DateTime retireDateField;

    private object retiredByField;

    private string cellCommunicatingRuleField;

    private string cellNotCommunicatingRuleField;

    private CellInstanceVersionCellSetting cellSettingField;

    private CellInstanceVersionComponentModel componentModelField;

    private SelectedDeploymentPackage[] deploymentPackagesField;

    private CellInstanceVersionEdaConnection edaConnectionField;

    private EquipmentConnectionSettings[] equipmentConnectionsField;

    private string nameField;

    private CellInstanceVersionParentInstance parentInstanceField;

    private CellInstanceVersionEdaTraceHandling edaTraceHandlingField;

    private string id1Field;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities")]
    public string CreatedBy
    {
        get => this.createdByField;
        set => this.createdByField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities")]
    public DateTime CreationDate
    {
        get => this.creationDateField;
        set => this.creationDateField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities", IsNullable = true)]
    public object Description
    {
        get => this.descriptionField;
        set => this.descriptionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlArray(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities")]
    [System.Xml.Serialization.XmlArrayItem("VersionExtension", IsNullable = false)]
    public ExtensionsVersionExtension[] Extensions
    {
        get => this.extensionsField;
        set => this.extensionsField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities")]
    public DateTime FreezeDate
    {
        get => this.freezeDateField;
        set => this.freezeDateField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities")]
    public string FrozenBy
    {
        get => this.frozenByField;
        set => this.frozenByField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities")]
    public long Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities")]
    public bool IsFrozen
    {
        get => this.isFrozenField;
        set => this.isFrozenField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities")]
    public bool IsRetired
    {
        get => this.isRetiredField;
        set => this.isRetiredField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities")]
    public DateTime RetireDate
    {
        get => this.retireDateField;
        set => this.retireDateField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities", IsNullable = true)]
    public object RetiredBy
    {
        get => this.retiredByField;
        set => this.retiredByField = value;
    }

    /// <remarks/>
    public string CellCommunicatingRule
    {
        get => this.cellCommunicatingRuleField;
        set => this.cellCommunicatingRuleField = value;
    }

    /// <remarks/>
    public string CellNotCommunicatingRule
    {
        get => this.cellNotCommunicatingRuleField;
        set => this.cellNotCommunicatingRuleField = value;
    }

    /// <remarks/>
    public CellInstanceVersionCellSetting CellSetting
    {
        get => this.cellSettingField;
        set => this.cellSettingField = value;
    }

    /// <remarks/>
    public CellInstanceVersionComponentModel ComponentModel
    {
        get => this.componentModelField;
        set => this.componentModelField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("SelectedDeploymentPackage", Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Deployme" +
        "nt", IsNullable = false)]
    public SelectedDeploymentPackage[] DeploymentPackages
    {
        get => this.deploymentPackagesField;
        set => this.deploymentPackagesField = value;
    }

    /// <remarks/>
    public CellInstanceVersionEdaConnection EdaConnection
    {
        get => this.edaConnectionField;
        set => this.edaConnectionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("EquipmentConnectionSettings", Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities.CellInstances", IsNullable = false)]
    public EquipmentConnectionSettings[] EquipmentConnections
    {
        get => this.equipmentConnectionsField;
        set => this.equipmentConnectionsField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    public CellInstanceVersionParentInstance ParentInstance
    {
        get => this.parentInstanceField;
        set => this.parentInstanceField = value;
    }

    /// <remarks/>
    public CellInstanceVersionEdaTraceHandling EdaTraceHandling
    {
        get => this.edaTraceHandlingField;
        set => this.edaTraceHandlingField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id1
    {
        get => this.id1Field;
        set => this.id1Field = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Deployme" +
    "nt")]
[System.Xml.Serialization.XmlRoot(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Deployme" +
    "nt", IsNullable = false)]
public partial class SelectedDeploymentPackage
{

    private long idField;

    private string packageNameField;

    private string packageVersionField;

    /// <remarks/>
    public long Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    public string PackageName
    {
        get => this.packageNameField;
        set => this.packageNameField = value;
    }

    /// <remarks/>
    public string PackageVersion
    {
        get => this.packageVersionField;
        set => this.packageVersionField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
    "ntities.CellInstances")]
[System.Xml.Serialization.XmlRoot(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
    "ntities.CellInstances", IsNullable = false)]
public partial class EquipmentConnectionSettings
{

    private string refField;

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Ref
    {
        get => this.refField;
        set => this.refField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
    "ntities")]
public partial class ExtensionsVersionExtension
{

    private long idField;

    private string classNameField;

    private object configurationField;

    private string nameField;

    private object editorsField;

    private string id1Field;

    private string i___typeField;

    /// <remarks/>
    public long Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Backbone" +
        "s")]
    public string ClassName
    {
        get => this.classNameField;
        set => this.classNameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Backbone" +
        "s", IsNullable = true)]
    public object Configuration
    {
        get => this.configurationField;
        set => this.configurationField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Backbone" +
        "s")]
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
        "tAutomationClient")]
    public object Editors
    {
        get => this.editorsField;
        set => this.editorsField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id1
    {
        get => this.id1Field;
        set => this.id1Field = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string i___type
    {
        get => this.i___typeField;
        set => this.i___typeField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
public partial class CellInstanceVersionCellSetting
{

    private long idField;

    private CellType cellTypeField;

    private string nameField;

    private string id1Field;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities")]
    public long Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities.CellInstances")]
    public CellType CellType
    {
        get => this.cellTypeField;
        set => this.cellTypeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities.CellInstances")]
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id1
    {
        get => this.id1Field;
        set => this.id1Field = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
    "ntities.CellInstances")]
[System.Xml.Serialization.XmlRoot(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
    "ntities.CellInstances", IsNullable = false)]
public partial class CellType
{

    private long idField;

    private string nameField;

    private string versionField;

    private string id1Field;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
    public long Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
    public string Version
    {
        get => this.versionField;
        set => this.versionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id1
    {
        get => this.id1Field;
        set => this.id1Field = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
public partial class CellInstanceVersionComponentModel
{

    private long idField;

    private ComponentsCellComponent[] componentsField;

    private string id1Field;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities")]
    public long Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlArray(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities.CellInstances")]
    [System.Xml.Serialization.XmlArrayItem("CellComponent", IsNullable = false)]
    public ComponentsCellComponent[] Components
    {
        get => this.componentsField;
        set => this.componentsField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id1
    {
        get => this.id1Field;
        set => this.id1Field = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
    "ntities.CellInstances")]
public partial class ComponentsCellComponent
{

    private ComponentsCellComponentCellComponent[] childrenField;

    private ComponentsCellComponentEquipment equipmentField;

    private object equipmentObjectTypeField;

    private string nameField;

    private ComponentsCellComponentComponentParameter[] parametersField;

    private string typeField;

    private string idField;

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("CellComponent", IsNullable = false)]
    public ComponentsCellComponentCellComponent[] Children
    {
        get => this.childrenField;
        set => this.childrenField = value;
    }

    /// <remarks/>
    public ComponentsCellComponentEquipment Equipment
    {
        get => this.equipmentField;
        set => this.equipmentField = value;
    }

    /// <remarks/>
    public object EquipmentObjectType
    {
        get => this.equipmentObjectTypeField;
        set => this.equipmentObjectTypeField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("ComponentParameter", IsNullable = false)]
    public ComponentsCellComponentComponentParameter[] Parameters
    {
        get => this.parametersField;
        set => this.parametersField = value;
    }

    /// <remarks/>
    public string Type
    {
        get => this.typeField;
        set => this.typeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
    "ntities.CellInstances")]
public partial class ComponentsCellComponentCellComponent
{

    private object childrenField;

    private ComponentsCellComponentCellComponentEquipment equipmentField;

    private object equipmentObjectTypeField;

    private string nameField;

    private ComponentsCellComponentCellComponentComponentParameter[] parametersField;

    private string typeField;

    private string idField;

    /// <remarks/>
    public object Children
    {
        get => this.childrenField;
        set => this.childrenField = value;
    }

    /// <remarks/>
    public ComponentsCellComponentCellComponentEquipment Equipment
    {
        get => this.equipmentField;
        set => this.equipmentField = value;
    }

    /// <remarks/>
    public object EquipmentObjectType
    {
        get => this.equipmentObjectTypeField;
        set => this.equipmentObjectTypeField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("ComponentParameter", IsNullable = false)]
    public ComponentsCellComponentCellComponentComponentParameter[] Parameters
    {
        get => this.parametersField;
        set => this.parametersField = value;
    }

    /// <remarks/>
    public string Type
    {
        get => this.typeField;
        set => this.typeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
    "ntities.CellInstances")]
public partial class ComponentsCellComponentCellComponentEquipment
{

    private long idField;

    private ComponentsCellComponentChildrenCellComponentEquipmentEquipmentDictionaries equipmentDictionariesField;

    private ComponentsCellComponentCellComponentEquipmentEquipmentType equipmentTypeField;

    private string nameField;

    private string alternateTargetFolderField;

    private long connectionRetryIntervalField;

    private ConnectionSettings connectionSettingsField;

    private bool copySourceFolderStructureField;

    private string defaultPlaceHolderValueField;

    private bool deleteEmptySourceSubFoldersField;

    private string errorPostProcessingModeField;

    private string errorTargetFileLocationField;

    private string errorTargetFileNameField;

    private string fileAgeFilterModeField;

    private string fileAgeThresholdField;

    private long fileHandleTimeoutField;

    private long fileHandleWaitTimeField;

    private int fileScanningIntervalInSecondsField;

    private string fileScanningOptionField;

    private int idleEventWaitTimeInSecondsField;

    private string ifFileExistActionField;

    private string ifPostProcessingFailsActionField;

    private bool includeSubDirectoriesField;

    private string postProcessingModeField;

    private long postProcessingRetriesField;

    private string preProcessingModeField;

    private string skipSearchDirectoryNamesField;

    private string sourceFileFilterField;

    private string sourceFileLocationField;

    private string targetFileLocationField;

    private string targetFileNameField;

    private bool triggerOnChangedField;

    private bool triggerOnCreatedField;

    private bool useZip64ModeField;

    private string zipErrorTargetFileNameField;

    private long zipFileAmountField;

    private long zipFileSubFolderLevelField;

    private long zipFileTimeField;

    private string zipModeField;

    private string zipTargetFileNameField;

    private string baudRateField;

    private string connectionModeField;

    private byte deviceIdField;

    private bool deviceIdFieldSpecified;

    private string hostField;

    private string linkTestTimerField;

    private ushort portField;

    private bool portFieldSpecified;

    private string portTypeField;

    private string sessionModeField;

    private string t1InterCharacterField;

    private string t2ProtocolField;

    private string t3MessageReplyField;

    private string t4InterBlockField;

    private string t5ConnectionSeperationField;

    private string t6HsmsControlMessageField;

    private string t7ConnectionIdleField;

    private string t8NetworkIntercharacterField;

    private string id1Field;

    private string i___typeField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities")]
    public long Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>

    /// <remarks/>
    public ComponentsCellComponentChildrenCellComponentEquipmentEquipmentDictionaries EquipmentDictionaries
    {
        get => this.equipmentDictionariesField;
        set => this.equipmentDictionariesField = value;
    }

    /// <remarks/>
    public ComponentsCellComponentCellComponentEquipmentEquipmentType EquipmentType
    {
        get => this.equipmentTypeField;
        set => this.equipmentTypeField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string AlternateTargetFolder
    {
        get => this.alternateTargetFolderField;
        set => this.alternateTargetFolderField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public long ConnectionRetryInterval
    {
        get => this.connectionRetryIntervalField;
        set => this.connectionRetryIntervalField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public ConnectionSettings ConnectionSettings
    {
        get => this.connectionSettingsField;
        set => this.connectionSettingsField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public bool CopySourceFolderStructure
    {
        get => this.copySourceFolderStructureField;
        set => this.copySourceFolderStructureField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string DefaultPlaceHolderValue
    {
        get => this.defaultPlaceHolderValueField;
        set => this.defaultPlaceHolderValueField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public bool DeleteEmptySourceSubFolders
    {
        get => this.deleteEmptySourceSubFoldersField;
        set => this.deleteEmptySourceSubFoldersField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string ErrorPostProcessingMode
    {
        get => this.errorPostProcessingModeField;
        set => this.errorPostProcessingModeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string ErrorTargetFileLocation
    {
        get => this.errorTargetFileLocationField;
        set => this.errorTargetFileLocationField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string ErrorTargetFileName
    {
        get => this.errorTargetFileNameField;
        set => this.errorTargetFileNameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string FileAgeFilterMode
    {
        get => this.fileAgeFilterModeField;
        set => this.fileAgeFilterModeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string FileAgeThreshold
    {
        get => this.fileAgeThresholdField;
        set => this.fileAgeThresholdField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public long FileHandleTimeout
    {
        get => this.fileHandleTimeoutField;
        set => this.fileHandleTimeoutField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public long FileHandleWaitTime
    {
        get => this.fileHandleWaitTimeField;
        set => this.fileHandleWaitTimeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public int FileScanningIntervalInSeconds
    {
        get => this.fileScanningIntervalInSecondsField;
        set => this.fileScanningIntervalInSecondsField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string FileScanningOption
    {
        get => this.fileScanningOptionField;
        set => this.fileScanningOptionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public int IdleEventWaitTimeInSeconds
    {
        get => this.idleEventWaitTimeInSecondsField;
        set => this.idleEventWaitTimeInSecondsField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string IfFileExistAction
    {
        get => this.ifFileExistActionField;
        set => this.ifFileExistActionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string IfPostProcessingFailsAction
    {
        get => this.ifPostProcessingFailsActionField;
        set => this.ifPostProcessingFailsActionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public bool IncludeSubDirectories
    {
        get => this.includeSubDirectoriesField;
        set => this.includeSubDirectoriesField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string PostProcessingMode
    {
        get => this.postProcessingModeField;
        set => this.postProcessingModeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public long PostProcessingRetries
    {
        get => this.postProcessingRetriesField;
        set => this.postProcessingRetriesField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string PreProcessingMode
    {
        get => this.preProcessingModeField;
        set => this.preProcessingModeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string SkipSearchDirectoryNames
    {
        get => this.skipSearchDirectoryNamesField;
        set => this.skipSearchDirectoryNamesField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string SourceFileFilter
    {
        get => this.sourceFileFilterField;
        set => this.sourceFileFilterField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string SourceFileLocation
    {
        get => this.sourceFileLocationField;
        set => this.sourceFileLocationField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string TargetFileLocation
    {
        get => this.targetFileLocationField;
        set => this.targetFileLocationField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string TargetFileName
    {
        get => this.targetFileNameField;
        set => this.targetFileNameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public bool TriggerOnChanged
    {
        get => this.triggerOnChangedField;
        set => this.triggerOnChangedField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public bool TriggerOnCreated
    {
        get => this.triggerOnCreatedField;
        set => this.triggerOnCreatedField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public bool UseZip64Mode
    {
        get => this.useZip64ModeField;
        set => this.useZip64ModeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string ZipErrorTargetFileName
    {
        get => this.zipErrorTargetFileNameField;
        set => this.zipErrorTargetFileNameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public long ZipFileAmount
    {
        get => this.zipFileAmountField;
        set => this.zipFileAmountField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public long ZipFileSubFolderLevel
    {
        get => this.zipFileSubFolderLevelField;
        set => this.zipFileSubFolderLevelField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public long ZipFileTime
    {
        get => this.zipFileTimeField;
        set => this.zipFileTimeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string ZipMode
    {
        get => this.zipModeField;
        set => this.zipModeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string ZipTargetFileName
    {
        get => this.zipTargetFileNameField;
        set => this.zipTargetFileNameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
        "uctor.CellInstances")]
    public string BaudRate
    {
        get => this.baudRateField;
        set => this.baudRateField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
        "uctor.CellInstances")]
    public string ConnectionMode
    {
        get => this.connectionModeField;
        set => this.connectionModeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
        "uctor.CellInstances")]
    public byte DeviceId
    {
        get => this.deviceIdField;
        set => this.deviceIdField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlIgnore()]
    public bool DeviceIdSpecified
    {
        get => this.deviceIdFieldSpecified;
        set => this.deviceIdFieldSpecified = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
        "uctor.CellInstances")]
    public string Host
    {
        get => this.hostField;
        set => this.hostField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
        "uctor.CellInstances", DataType = "duration")]
    public string LinkTestTimer
    {
        get => this.linkTestTimerField;
        set => this.linkTestTimerField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
        "uctor.CellInstances")]
    public ushort Port
    {
        get => this.portField;
        set => this.portField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlIgnore()]
    public bool PortSpecified
    {
        get => this.portFieldSpecified;
        set => this.portFieldSpecified = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
        "uctor.CellInstances")]
    public string PortType
    {
        get => this.portTypeField;
        set => this.portTypeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
        "uctor.CellInstances")]
    public string SessionMode
    {
        get => this.sessionModeField;
        set => this.sessionModeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
        "uctor.CellInstances", DataType = "duration")]
    public string T1InterCharacter
    {
        get => this.t1InterCharacterField;
        set => this.t1InterCharacterField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
        "uctor.CellInstances", DataType = "duration")]
    public string T2Protocol
    {
        get => this.t2ProtocolField;
        set => this.t2ProtocolField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
        "uctor.CellInstances", DataType = "duration")]
    public string T3MessageReply
    {
        get => this.t3MessageReplyField;
        set => this.t3MessageReplyField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
        "uctor.CellInstances", DataType = "duration")]
    public string T4InterBlock
    {
        get => this.t4InterBlockField;
        set => this.t4InterBlockField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
        "uctor.CellInstances", DataType = "duration")]
    public string T5ConnectionSeperation
    {
        get => this.t5ConnectionSeperationField;
        set => this.t5ConnectionSeperationField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
        "uctor.CellInstances", DataType = "duration")]
    public string T6HsmsControlMessage
    {
        get => this.t6HsmsControlMessageField;
        set => this.t6HsmsControlMessageField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
        "uctor.CellInstances", DataType = "duration")]
    public string T7ConnectionIdle
    {
        get => this.t7ConnectionIdleField;
        set => this.t7ConnectionIdleField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
        "uctor.CellInstances", DataType = "duration")]
    public string T8NetworkIntercharacter
    {
        get => this.t8NetworkIntercharacterField;
        set => this.t8NetworkIntercharacterField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id1
    {
        get => this.id1Field;
        set => this.id1Field = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string i___type
    {
        get => this.i___typeField;
        set => this.i___typeField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
    "ntities.CellInstances")]
public partial class ComponentsCellComponentChildrenCellComponentEquipmentEquipmentDictionaries
{

    private CellEquipmentDictionaryReference cellEquipmentDictionaryReferenceField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
    public CellEquipmentDictionaryReference CellEquipmentDictionaryReference
    {
        get => this.cellEquipmentDictionaryReferenceField;
        set => this.cellEquipmentDictionaryReferenceField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
[System.Xml.Serialization.XmlRoot(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities", IsNullable = false)]
public partial class CellEquipmentDictionaryReference
{

    private string dictionaryNameField;

    private string dictionaryVersionField;

    private byte idField;

    private string id1Field;

    /// <remarks/>
    public string DictionaryName
    {
        get => this.dictionaryNameField;
        set => this.dictionaryNameField = value;
    }

    /// <remarks/>
    public string DictionaryVersion
    {
        get => this.dictionaryVersionField;
        set => this.dictionaryVersionField = value;
    }

    /// <remarks/>
    public byte Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id1
    {
        get => this.id1Field;
        set => this.id1Field = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
    "ntities.CellInstances")]
public partial class ComponentsCellComponentCellComponentEquipmentEquipmentType
{

    private long idField;

    private string nameField;

    private string versionField;

    private string id1Field;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
    public long Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
    public string Version
    {
        get => this.versionField;
        set => this.versionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id1
    {
        get => this.id1Field;
        set => this.id1Field = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
    "ntities.CellInstances")]
public partial class ComponentsCellComponentCellComponentComponentParameter
{

    private object enumTypeField;

    private long idField;

    private string nameField;

    private string valueField;

    private string valueTypeField;

    private bool isOverrideField;

    private string id1Field;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
        "mation", IsNullable = true)]
    public object EnumType
    {
        get => this.enumTypeField;
        set => this.enumTypeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
        "mation")]
    public long Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
        "mation")]
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
        "mation")]
    public string Value
    {
        get => this.valueField;
        set => this.valueField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
        "mation")]
    public string ValueType
    {
        get => this.valueTypeField;
        set => this.valueTypeField = value;
    }

    /// <remarks/>
    public bool IsOverride
    {
        get => this.isOverrideField;
        set => this.isOverrideField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id1
    {
        get => this.id1Field;
        set => this.id1Field = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
    "ntities.CellInstances")]
public partial class ComponentsCellComponentEquipment
{

    private long idField;

    private object equipmentDictionariesField;

    private ComponentsCellComponentEquipmentEquipmentType equipmentTypeField;

    private string nameField;

    private string alternateTargetFolderField;

    private long connectionRetryIntervalField;

    private ConnectionSettings connectionSettingsField;

    private bool copySourceFolderStructureField;

    private string defaultPlaceHolderValueField;

    private bool deleteEmptySourceSubFoldersField;

    private string errorPostProcessingModeField;

    private string errorTargetFileLocationField;

    private string errorTargetFileNameField;

    private string fileAgeFilterModeField;

    private string fileAgeThresholdField;

    private long fileHandleTimeoutField;

    private long fileHandleWaitTimeField;

    private int fileScanningIntervalInSecondsField;

    private string fileScanningOptionField;

    private int idleEventWaitTimeInSecondsField;

    private string ifFileExistActionField;

    private string ifPostProcessingFailsActionField;

    private bool includeSubDirectoriesField;

    private string postProcessingModeField;

    private long postProcessingRetriesField;

    private string preProcessingModeField;

    private string skipSearchDirectoryNamesField;

    private string sourceFileFilterField;

    private string sourceFileLocationField;

    private string targetFileLocationField;

    private string targetFileNameField;

    private bool triggerOnChangedField;

    private bool triggerOnCreatedField;

    private bool useZip64ModeField;

    private string zipErrorTargetFileNameField;

    private long zipFileAmountField;

    private long zipFileSubFolderLevelField;

    private long zipFileTimeField;

    private string zipModeField;

    private string zipTargetFileNameField;

    private string refField;

    private string id1Field;

    private string i___typeField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities")]
    public long Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    public object EquipmentDictionaries
    {
        get => this.equipmentDictionariesField;
        set => this.equipmentDictionariesField = value;
    }

    /// <remarks/>
    public ComponentsCellComponentEquipmentEquipmentType EquipmentType
    {
        get => this.equipmentTypeField;
        set => this.equipmentTypeField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string AlternateTargetFolder
    {
        get => this.alternateTargetFolderField;
        set => this.alternateTargetFolderField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public long ConnectionRetryInterval
    {
        get => this.connectionRetryIntervalField;
        set => this.connectionRetryIntervalField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public ConnectionSettings ConnectionSettings
    {
        get => this.connectionSettingsField;
        set => this.connectionSettingsField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public bool CopySourceFolderStructure
    {
        get => this.copySourceFolderStructureField;
        set => this.copySourceFolderStructureField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string DefaultPlaceHolderValue
    {
        get => this.defaultPlaceHolderValueField;
        set => this.defaultPlaceHolderValueField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public bool DeleteEmptySourceSubFolders
    {
        get => this.deleteEmptySourceSubFoldersField;
        set => this.deleteEmptySourceSubFoldersField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string ErrorPostProcessingMode
    {
        get => this.errorPostProcessingModeField;
        set => this.errorPostProcessingModeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string ErrorTargetFileLocation
    {
        get => this.errorTargetFileLocationField;
        set => this.errorTargetFileLocationField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string ErrorTargetFileName
    {
        get => this.errorTargetFileNameField;
        set => this.errorTargetFileNameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string FileAgeFilterMode
    {
        get => this.fileAgeFilterModeField;
        set => this.fileAgeFilterModeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string FileAgeThreshold
    {
        get => this.fileAgeThresholdField;
        set => this.fileAgeThresholdField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public long FileHandleTimeout
    {
        get => this.fileHandleTimeoutField;
        set => this.fileHandleTimeoutField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public long FileHandleWaitTime
    {
        get => this.fileHandleWaitTimeField;
        set => this.fileHandleWaitTimeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public int FileScanningIntervalInSeconds
    {
        get => this.fileScanningIntervalInSecondsField;
        set => this.fileScanningIntervalInSecondsField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string FileScanningOption
    {
        get => this.fileScanningOptionField;
        set => this.fileScanningOptionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public int IdleEventWaitTimeInSeconds
    {
        get => this.idleEventWaitTimeInSecondsField;
        set => this.idleEventWaitTimeInSecondsField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string IfFileExistAction
    {
        get => this.ifFileExistActionField;
        set => this.ifFileExistActionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string IfPostProcessingFailsAction
    {
        get => this.ifPostProcessingFailsActionField;
        set => this.ifPostProcessingFailsActionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public bool IncludeSubDirectories
    {
        get => this.includeSubDirectoriesField;
        set => this.includeSubDirectoriesField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string PostProcessingMode
    {
        get => this.postProcessingModeField;
        set => this.postProcessingModeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public long PostProcessingRetries
    {
        get => this.postProcessingRetriesField;
        set => this.postProcessingRetriesField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string PreProcessingMode
    {
        get => this.preProcessingModeField;
        set => this.preProcessingModeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string SkipSearchDirectoryNames
    {
        get => this.skipSearchDirectoryNamesField;
        set => this.skipSearchDirectoryNamesField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string SourceFileFilter
    {
        get => this.sourceFileFilterField;
        set => this.sourceFileFilterField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string SourceFileLocation
    {
        get => this.sourceFileLocationField;
        set => this.sourceFileLocationField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string TargetFileLocation
    {
        get => this.targetFileLocationField;
        set => this.targetFileLocationField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string TargetFileName
    {
        get => this.targetFileNameField;
        set => this.targetFileNameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public bool TriggerOnChanged
    {
        get => this.triggerOnChangedField;
        set => this.triggerOnChangedField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public bool TriggerOnCreated
    {
        get => this.triggerOnCreatedField;
        set => this.triggerOnCreatedField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public bool UseZip64Mode
    {
        get => this.useZip64ModeField;
        set => this.useZip64ModeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string ZipErrorTargetFileName
    {
        get => this.zipErrorTargetFileNameField;
        set => this.zipErrorTargetFileNameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public long ZipFileAmount
    {
        get => this.zipFileAmountField;
        set => this.zipFileAmountField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public long ZipFileSubFolderLevel
    {
        get => this.zipFileSubFolderLevelField;
        set => this.zipFileSubFolderLevelField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public long ZipFileTime
    {
        get => this.zipFileTimeField;
        set => this.zipFileTimeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string ZipMode
    {
        get => this.zipModeField;
        set => this.zipModeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string ZipTargetFileName
    {
        get => this.zipTargetFileNameField;
        set => this.zipTargetFileNameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Ref
    {
        get => this.refField;
        set => this.refField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id1
    {
        get => this.id1Field;
        set => this.id1Field = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string i___type
    {
        get => this.i___typeField;
        set => this.i___typeField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
    "ntities.CellInstances")]
public partial class ComponentsCellComponentEquipmentEquipmentType
{

    private long idField;

    private string nameField;

    private string versionField;

    private string id1Field;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
    public long Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
    public string Version
    {
        get => this.versionField;
        set => this.versionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id1
    {
        get => this.id1Field;
        set => this.id1Field = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
    "ntities.CellInstances")]
public partial class ComponentsCellComponentComponentParameter
{

    private object enumTypeField;

    private long idField;

    private string nameField;

    private string valueField;

    private string valueTypeField;

    private bool isOverrideField;

    private string id1Field;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
        "mation", IsNullable = true)]
    public object EnumType
    {
        get => this.enumTypeField;
        set => this.enumTypeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
        "mation")]
    public long Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
        "mation")]
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
        "mation")]
    public string Value
    {
        get => this.valueField;
        set => this.valueField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
        "mation")]
    public string ValueType
    {
        get => this.valueTypeField;
        set => this.valueTypeField = value;
    }

    /// <remarks/>
    public bool IsOverride
    {
        get => this.isOverrideField;
        set => this.isOverrideField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id1
    {
        get => this.id1Field;
        set => this.id1Field = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
public partial class CellInstanceVersionEdaConnection
{

    private long idField;

    private int checkIntervalField;

    private int connectionTimeoutField;

    private object edaClientProxyFactoryProviderNameField;

    private long maxLostPingsField;

    private string portNameField;

    private int portNumberField;

    private string sSLEnabledField;

    private string id1Field;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities")]
    public long Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA")]
    public int CheckInterval
    {
        get => this.checkIntervalField;
        set => this.checkIntervalField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA")]
    public int ConnectionTimeout
    {
        get => this.connectionTimeoutField;
        set => this.connectionTimeoutField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA", IsNullable = true)]
    public object EdaClientProxyFactoryProviderName
    {
        get => this.edaClientProxyFactoryProviderNameField;
        set => this.edaClientProxyFactoryProviderNameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA")]
    public long MaxLostPings
    {
        get => this.maxLostPingsField;
        set => this.maxLostPingsField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA")]
    public string PortName
    {
        get => this.portNameField;
        set => this.portNameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA")]
    public int PortNumber
    {
        get => this.portNumberField;
        set => this.portNumberField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA")]
    public string SSLEnabled
    {
        get => this.sSLEnabledField;
        set => this.sSLEnabledField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id1
    {
        get => this.id1Field;
        set => this.id1Field = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
public partial class CellInstanceVersionParentInstance
{

    private string currentActiveVersionField;

    private object currentHostField;

    private long idField;

    private object infoField;

    private bool isStartedField;

    private string nameField;

    private object startTimeField;

    private bool startableField;

    private object stopTimeField;

    private string targetActiveVersionField;

    private object targetHostField;

    private string id1Field;

    /// <remarks/>
    public string CurrentActiveVersion
    {
        get => this.currentActiveVersionField;
        set => this.currentActiveVersionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(IsNullable = true)]
    public object CurrentHost
    {
        get => this.currentHostField;
        set => this.currentHostField = value;
    }

    /// <remarks/>
    public long Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(IsNullable = true)]
    public object Info
    {
        get => this.infoField;
        set => this.infoField = value;
    }

    /// <remarks/>
    public bool IsStarted
    {
        get => this.isStartedField;
        set => this.isStartedField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(IsNullable = true)]
    public object StartTime
    {
        get => this.startTimeField;
        set => this.startTimeField = value;
    }

    /// <remarks/>
    public bool Startable
    {
        get => this.startableField;
        set => this.startableField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(IsNullable = true)]
    public object StopTime
    {
        get => this.stopTimeField;
        set => this.stopTimeField = value;
    }

    /// <remarks/>
    public string TargetActiveVersion
    {
        get => this.targetActiveVersionField;
        set => this.targetActiveVersionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(IsNullable = true)]
    public object TargetHost
    {
        get => this.targetHostField;
        set => this.targetHostField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id1
    {
        get => this.id1Field;
        set => this.id1Field = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
public partial class CellInstanceVersionEdaTraceHandling
{

    private long maxParameterCollectionTimeDeltaField;

    private object mergeStrategyClassField;

    private object mergeStrategyParametersField;

    private long traceCleanupDaemonIntervalField;

    private TraceSourcePrimaryPrioritiesConnection[] traceSourcePrimaryPrioritiesField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA")]
    public long MaxParameterCollectionTimeDelta
    {
        get => this.maxParameterCollectionTimeDeltaField;
        set => this.maxParameterCollectionTimeDeltaField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA", IsNullable = true)]
    public object MergeStrategyClass
    {
        get => this.mergeStrategyClassField;
        set => this.mergeStrategyClassField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA")]
    public object MergeStrategyParameters
    {
        get => this.mergeStrategyParametersField;
        set => this.mergeStrategyParametersField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA")]
    public long TraceCleanupDaemonInterval
    {
        get => this.traceCleanupDaemonIntervalField;
        set => this.traceCleanupDaemonIntervalField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlArray(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA")]
    [System.Xml.Serialization.XmlArrayItem("Connection", IsNullable = false)]
    public TraceSourcePrimaryPrioritiesConnection[] TraceSourcePrimaryPriorities
    {
        get => this.traceSourcePrimaryPrioritiesField;
        set => this.traceSourcePrimaryPrioritiesField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA")]
public partial class TraceSourcePrimaryPrioritiesConnection
{

    private long idField;

    private object equipmentDictionariesField;

    private EquipmentType equipmentTypeField;

    private string nameField;

    private string alternateTargetFolderField;

    private long connectionRetryIntervalField;

    private ConnectionSettings connectionSettingsField;

    private bool copySourceFolderStructureField;

    private string defaultPlaceHolderValueField;

    private bool deleteEmptySourceSubFoldersField;

    private string errorPostProcessingModeField;

    private string errorTargetFileLocationField;

    private string errorTargetFileNameField;

    private string fileAgeFilterModeField;

    private string fileAgeThresholdField;

    private long fileHandleTimeoutField;

    private long fileHandleWaitTimeField;

    private int fileScanningIntervalInSecondsField;

    private string fileScanningOptionField;

    private int idleEventWaitTimeInSecondsField;

    private string ifFileExistActionField;

    private string ifPostProcessingFailsActionField;

    private bool includeSubDirectoriesField;

    private string postProcessingModeField;

    private long postProcessingRetriesField;

    private string preProcessingModeField;

    private string skipSearchDirectoryNamesField;

    private string sourceFileFilterField;

    private string sourceFileLocationField;

    private string targetFileLocationField;

    private string targetFileNameField;

    private bool triggerOnChangedField;

    private bool triggerOnCreatedField;

    private bool useZip64ModeField;

    private string zipErrorTargetFileNameField;

    private long zipFileAmountField;

    private long zipFileSubFolderLevelField;

    private long zipFileTimeField;

    private string zipModeField;

    private string zipTargetFileNameField;

    private string id1Field;

    private string i___typeField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities")]
    public long Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities.CellInstances")]
    public object EquipmentDictionaries
    {
        get => this.equipmentDictionariesField;
        set => this.equipmentDictionariesField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities.CellInstances")]
    public EquipmentType EquipmentType
    {
        get => this.equipmentTypeField;
        set => this.equipmentTypeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities.CellInstances")]
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string AlternateTargetFolder
    {
        get => this.alternateTargetFolderField;
        set => this.alternateTargetFolderField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public long ConnectionRetryInterval
    {
        get => this.connectionRetryIntervalField;
        set => this.connectionRetryIntervalField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public ConnectionSettings ConnectionSettings
    {
        get => this.connectionSettingsField;
        set => this.connectionSettingsField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public bool CopySourceFolderStructure
    {
        get => this.copySourceFolderStructureField;
        set => this.copySourceFolderStructureField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string DefaultPlaceHolderValue
    {
        get => this.defaultPlaceHolderValueField;
        set => this.defaultPlaceHolderValueField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public bool DeleteEmptySourceSubFolders
    {
        get => this.deleteEmptySourceSubFoldersField;
        set => this.deleteEmptySourceSubFoldersField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string ErrorPostProcessingMode
    {
        get => this.errorPostProcessingModeField;
        set => this.errorPostProcessingModeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string ErrorTargetFileLocation
    {
        get => this.errorTargetFileLocationField;
        set => this.errorTargetFileLocationField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string ErrorTargetFileName
    {
        get => this.errorTargetFileNameField;
        set => this.errorTargetFileNameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string FileAgeFilterMode
    {
        get => this.fileAgeFilterModeField;
        set => this.fileAgeFilterModeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string FileAgeThreshold
    {
        get => this.fileAgeThresholdField;
        set => this.fileAgeThresholdField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public long FileHandleTimeout
    {
        get => this.fileHandleTimeoutField;
        set => this.fileHandleTimeoutField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public long FileHandleWaitTime
    {
        get => this.fileHandleWaitTimeField;
        set => this.fileHandleWaitTimeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public int FileScanningIntervalInSeconds
    {
        get => this.fileScanningIntervalInSecondsField;
        set => this.fileScanningIntervalInSecondsField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string FileScanningOption
    {
        get => this.fileScanningOptionField;
        set => this.fileScanningOptionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public int IdleEventWaitTimeInSeconds
    {
        get => this.idleEventWaitTimeInSecondsField;
        set => this.idleEventWaitTimeInSecondsField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string IfFileExistAction
    {
        get => this.ifFileExistActionField;
        set => this.ifFileExistActionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string IfPostProcessingFailsAction
    {
        get => this.ifPostProcessingFailsActionField;
        set => this.ifPostProcessingFailsActionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public bool IncludeSubDirectories
    {
        get => this.includeSubDirectoriesField;
        set => this.includeSubDirectoriesField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string PostProcessingMode
    {
        get => this.postProcessingModeField;
        set => this.postProcessingModeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public long PostProcessingRetries
    {
        get => this.postProcessingRetriesField;
        set => this.postProcessingRetriesField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string PreProcessingMode
    {
        get => this.preProcessingModeField;
        set => this.preProcessingModeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string SkipSearchDirectoryNames
    {
        get => this.skipSearchDirectoryNamesField;
        set => this.skipSearchDirectoryNamesField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string SourceFileFilter
    {
        get => this.sourceFileFilterField;
        set => this.sourceFileFilterField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string SourceFileLocation
    {
        get => this.sourceFileLocationField;
        set => this.sourceFileLocationField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string TargetFileLocation
    {
        get => this.targetFileLocationField;
        set => this.targetFileLocationField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string TargetFileName
    {
        get => this.targetFileNameField;
        set => this.targetFileNameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public bool TriggerOnChanged
    {
        get => this.triggerOnChangedField;
        set => this.triggerOnChangedField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public bool TriggerOnCreated
    {
        get => this.triggerOnCreatedField;
        set => this.triggerOnCreatedField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public bool UseZip64Mode
    {
        get => this.useZip64ModeField;
        set => this.useZip64ModeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string ZipErrorTargetFileName
    {
        get => this.zipErrorTargetFileNameField;
        set => this.zipErrorTargetFileNameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public long ZipFileAmount
    {
        get => this.zipFileAmountField;
        set => this.zipFileAmountField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public long ZipFileSubFolderLevel
    {
        get => this.zipFileSubFolderLevelField;
        set => this.zipFileSubFolderLevelField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public long ZipFileTime
    {
        get => this.zipFileTimeField;
        set => this.zipFileTimeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string ZipMode
    {
        get => this.zipModeField;
        set => this.zipModeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    public string ZipTargetFileName
    {
        get => this.zipTargetFileNameField;
        set => this.zipTargetFileNameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id1
    {
        get => this.id1Field;
        set => this.id1Field = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string i___type
    {
        get => this.i___typeField;
        set => this.i___typeField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
    "ntities.CellInstances")]
[System.Xml.Serialization.XmlRoot(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
    "ntities.CellInstances", IsNullable = false)]
public partial class EquipmentType
{

    private long idField;

    private string nameField;

    private string versionField;

    private string id1Field;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
    public long Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
    public string Version
    {
        get => this.versionField;
        set => this.versionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id1
    {
        get => this.id1Field;
        set => this.id1Field = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
    "ntities")]
[System.Xml.Serialization.XmlRoot(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
    "ntities", IsNullable = false)]
public partial class Extensions
{

    private ExtensionsVersionExtension[] versionExtensionField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement("VersionExtension")]
    public ExtensionsVersionExtension[] VersionExtension
    {
        get => this.versionExtensionField;
        set => this.versionExtensionField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
    "ntities.CellInstances")]
[System.Xml.Serialization.XmlRoot(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
    "ntities.CellInstances", IsNullable = false)]
public partial class Components
{

    private ComponentsCellComponent[] cellComponentField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement("CellComponent")]
    public ComponentsCellComponent[] CellComponent
    {
        get => this.cellComponentField;
        set => this.cellComponentField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA")]
[System.Xml.Serialization.XmlRoot(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA", IsNullable = false)]
public partial class TraceSourcePrimaryPriorities
{

    private TraceSourcePrimaryPrioritiesConnection[] connectionField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement("Connection")]
    public TraceSourcePrimaryPrioritiesConnection[] Connection
    {
        get => this.connectionField;
        set => this.connectionField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
    "Connector.CellInstances")]
[System.Xml.Serialization.XmlRoot(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
    "Connector.CellInstances", IsNullable = false)]
public partial class ConnectionSettings
{

    private Setting[] settingField;

    private string idField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement("Setting", Namespace = "http://schemas.datacontract.org/2004/07/Ifx.ManagementInterfaceIfx.Common.Connect" +
        "ionSettings")]
    public Setting[] Setting
    {
        get => this.settingField;
        set => this.settingField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Ifx.ManagementInterfaceIfx.Common.Connect" +
    "ionSettings")]
[System.Xml.Serialization.XmlRoot(Namespace = "http://schemas.datacontract.org/2004/07/Ifx.ManagementInterfaceIfx.Common.Connect" +
    "ionSettings", IsNullable = false)]
public partial class Setting
{

    private string nameField;

    private string valueField;

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    public string Value
    {
        get => this.valueField;
        set => this.valueField = value;
    }
}