﻿using System;

namespace Adaptation._Tests.Shared.PasteSpecialXml.EAF.XML.API.EquipmentType;

// NOTE: Generated code may require at least .NET Framework 4.5 or .NET Core/Standard 2.0.
/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
[System.Xml.Serialization.XmlRoot(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities", IsNullable = false)]
public partial class EquipmentTypeVersion
{

#pragma warning disable IDE1006 // Naming Styles

    private string createdByField;

    private DateTime creationDateField;

    private object descriptionField;

    private ExtensionsVersionExtension[] extensionsField;

    private DateTime freezeDateField;

    private string frozenByField;

    private byte idField;

    private bool isFrozenField;

    private bool isRetiredField;

    private DateTime retireDateField;

    private object retiredByField;

    private SelectedDeploymentPackage[] deploymentPackagesField;

    private EquipmentTypeVersionDictionaries dictionariesField;

    private string nameField;

    private EquipmentTypeVersionParentType parentTypeField;

    private ParameterizedModelObjectDefinition[] equipmentComponentsField;

    private EventActionSequenceDefinition[] eventActionSequencesField;

    private object fileCommunicatorObjectTypesField;

    private FileConfiguration fileConfigurationField;

    private FileHandlerObjectTypes fileHandlerObjectTypesField;

    private ParameterizedModelObjectDefinition[] transientEquipmentObjectTypesField;

    private string id1Field;

    private string i___typeField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities")]
    public string CreatedBy
    {
        get => this.createdByField;
        set => this.createdByField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities")]
    public DateTime CreationDate
    {
        get => this.creationDateField;
        set => this.creationDateField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities", IsNullable = true)]
    public object Description
    {
        get => this.descriptionField;
        set => this.descriptionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlArray(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities")]
    [System.Xml.Serialization.XmlArrayItem("VersionExtension", IsNullable = false)]
    public ExtensionsVersionExtension[] Extensions
    {
        get => this.extensionsField;
        set => this.extensionsField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities")]
    public DateTime FreezeDate
    {
        get => this.freezeDateField;
        set => this.freezeDateField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities")]
    public string FrozenBy
    {
        get => this.frozenByField;
        set => this.frozenByField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities")]
    public byte Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities")]
    public bool IsFrozen
    {
        get => this.isFrozenField;
        set => this.isFrozenField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities")]
    public bool IsRetired
    {
        get => this.isRetiredField;
        set => this.isRetiredField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities")]
    public DateTime RetireDate
    {
        get => this.retireDateField;
        set => this.retireDateField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities", IsNullable = true)]
    public object RetiredBy
    {
        get => this.retiredByField;
        set => this.retiredByField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("SelectedDeploymentPackage", Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Deployme" +
        "nt", IsNullable = false)]
    public SelectedDeploymentPackage[] DeploymentPackages
    {
        get => this.deploymentPackagesField;
        set => this.deploymentPackagesField = value;
    }

    /// <remarks/>
    public EquipmentTypeVersionDictionaries Dictionaries
    {
        get => this.dictionariesField;
        set => this.dictionariesField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    public EquipmentTypeVersionParentType ParentType
    {
        get => this.parentTypeField;
        set => this.parentTypeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlArray(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.EquipmentTypes")]
    [System.Xml.Serialization.XmlArrayItem("ParameterizedModelObjectDefinition", Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
        "mation", IsNullable = false)]
    public ParameterizedModelObjectDefinition[] EquipmentComponents
    {
        get => this.equipmentComponentsField;
        set => this.equipmentComponentsField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlArray(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.EquipmentTypes")]
    [System.Xml.Serialization.XmlArrayItem("EventActionSequenceDefinition", Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
        "mation", IsNullable = false)]
    public EventActionSequenceDefinition[] EventActionSequences
    {
        get => this.eventActionSequencesField;
        set => this.eventActionSequencesField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.EquipmentTypes")]
    public object FileCommunicatorObjectTypes
    {
        get => this.fileCommunicatorObjectTypesField;
        set => this.fileCommunicatorObjectTypesField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.EquipmentTypes")]
    public FileConfiguration FileConfiguration
    {
        get => this.fileConfigurationField;
        set => this.fileConfigurationField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.EquipmentTypes")]
    public FileHandlerObjectTypes FileHandlerObjectTypes
    {
        get => this.fileHandlerObjectTypesField;
        set => this.fileHandlerObjectTypesField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlArray(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.EquipmentTypes")]
    [System.Xml.Serialization.XmlArrayItem("ParameterizedModelObjectDefinition", Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
        "mation", IsNullable = false)]
    public ParameterizedModelObjectDefinition[] TransientEquipmentObjectTypes
    {
        get => this.transientEquipmentObjectTypesField;
        set => this.transientEquipmentObjectTypesField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id1
    {
        get => this.id1Field;
        set => this.id1Field = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string i___type
    {
        get => this.i___typeField;
        set => this.i___typeField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Deployme" +
    "nt")]
[System.Xml.Serialization.XmlRoot(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Deployme" +
    "nt", IsNullable = false)]
public partial class SelectedDeploymentPackage
{

    private byte idField;

    private string packageNameField;

    private string packageVersionField;

    /// <remarks/>
    public byte Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    public string PackageName
    {
        get => this.packageNameField;
        set => this.packageNameField = value;
    }

    /// <remarks/>
    public string PackageVersion
    {
        get => this.packageVersionField;
        set => this.packageVersionField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
    "ntities")]
public partial class ExtensionsVersionExtension
{

    private byte idField;

    private string classNameField;

    private object configurationField;

    private string nameField;

    private string id1Field;

    private string i___typeField;

    /// <remarks/>
    public byte Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Backbone" +
        "s")]
    public string ClassName
    {
        get => this.classNameField;
        set => this.classNameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Backbone" +
        "s", IsNullable = true)]
    public object Configuration
    {
        get => this.configurationField;
        set => this.configurationField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Backbone" +
        "s")]
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id1
    {
        get => this.id1Field;
        set => this.id1Field = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string i___type
    {
        get => this.i___typeField;
        set => this.i___typeField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
public partial class EquipmentTypeVersionDictionaries
{

    private EquipmentTypeVersionDictionariesEquipmentTypeDictionaryReference equipmentTypeDictionaryReferenceField;

    /// <remarks/>
    public EquipmentTypeVersionDictionariesEquipmentTypeDictionaryReference EquipmentTypeDictionaryReference
    {
        get => this.equipmentTypeDictionaryReferenceField;
        set => this.equipmentTypeDictionaryReferenceField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
public partial class EquipmentTypeVersionDictionariesEquipmentTypeDictionaryReference
{

    private string dictionaryNameField;

    private string dictionaryVersionField;

    private byte idField;

    private string id1Field;

    /// <remarks/>
    public string DictionaryName
    {
        get => this.dictionaryNameField;
        set => this.dictionaryNameField = value;
    }

    /// <remarks/>
    public string DictionaryVersion
    {
        get => this.dictionaryVersionField;
        set => this.dictionaryVersionField = value;
    }

    /// <remarks/>
    public byte Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id1
    {
        get => this.id1Field;
        set => this.id1Field = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
public partial class EquipmentTypeVersionParentType
{

    private byte idField;

    private string nameField;

    private string id1Field;

    /// <remarks/>
    public byte Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id1
    {
        get => this.id1Field;
        set => this.id1Field = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
    "mation")]
[System.Xml.Serialization.XmlRoot(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
    "mation", IsNullable = false)]
public partial class ParameterizedModelObjectDefinition
{

    private byte idField;

    private string nameField;

    private ParameterizedModelObjectDefinitionModelObjectParameterDefinition[] parametersField;

    private string typeField;

    private string id1Field;

    /// <remarks/>
    public byte Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("ModelObjectParameterDefinition", IsNullable = false)]
    public ParameterizedModelObjectDefinitionModelObjectParameterDefinition[] Parameters
    {
        get => this.parametersField;
        set => this.parametersField = value;
    }

    /// <remarks/>
    public string Type
    {
        get => this.typeField;
        set => this.typeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id1
    {
        get => this.id1Field;
        set => this.id1Field = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
    "mation")]
public partial class ParameterizedModelObjectDefinitionModelObjectParameterDefinition
{

    private string enumTypeField;

    private byte idField;

    private string nameField;

    private string valueField;

    private string valueTypeField;

    private string id1Field;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(IsNullable = true)]
    public string EnumType
    {
        get => this.enumTypeField;
        set => this.enumTypeField = value;
    }

    /// <remarks/>
    public byte Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    public string Value
    {
        get => this.valueField;
        set => this.valueField = value;
    }

    /// <remarks/>
    public string ValueType
    {
        get => this.valueTypeField;
        set => this.valueTypeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id1
    {
        get => this.id1Field;
        set => this.id1Field = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
    "mation")]
[System.Xml.Serialization.XmlRoot(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
    "mation", IsNullable = false)]
public partial class EventActionSequenceDefinition
{

    private EventActionSequenceDefinitionEventActionParameterDefinition[] actionsField;

    private string eventTypeField;

    private string handledEventField;

    private byte idField;

    private string id1Field;

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("EventActionParameterDefinition", IsNullable = false)]
    public EventActionSequenceDefinitionEventActionParameterDefinition[] Actions
    {
        get => this.actionsField;
        set => this.actionsField = value;
    }

    /// <remarks/>
    public string EventType
    {
        get => this.eventTypeField;
        set => this.eventTypeField = value;
    }

    /// <remarks/>
    public string HandledEvent
    {
        get => this.handledEventField;
        set => this.handledEventField = value;
    }

    /// <remarks/>
    public byte Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id1
    {
        get => this.id1Field;
        set => this.id1Field = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
    "Connector.EquipmentTypes")]
[System.Xml.Serialization.XmlRoot(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
    "Connector.EquipmentTypes", IsNullable = false)]
public class FileConfiguration
{

    private string idField;

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
    "Connector.EquipmentTypes")]
[System.Xml.Serialization.XmlRoot(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
    "Connector.EquipmentTypes", IsNullable = false)]
public class FileHandlerObjectTypes
{

    private ParameterizedModelObjectDefinition parameterizedModelObjectDefinitionField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
        "mation")]
    public ParameterizedModelObjectDefinition ParameterizedModelObjectDefinition
    {
        get => this.parameterizedModelObjectDefinitionField;
        set => this.parameterizedModelObjectDefinitionField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
    "ntities")]
[System.Xml.Serialization.XmlRoot(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
    "ntities", IsNullable = false)]
public partial class Extensions
{

    private ExtensionsVersionExtension[] versionExtensionField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement("VersionExtension")]
    public ExtensionsVersionExtension[] VersionExtension
    {
        get => this.versionExtensionField;
        set => this.versionExtensionField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
    "Connector.EquipmentTypes")]
[System.Xml.Serialization.XmlRoot(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
    "Connector.EquipmentTypes", IsNullable = false)]
public partial class EquipmentComponents
{

    private ParameterizedModelObjectDefinition[] parameterizedModelObjectDefinitionField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement("ParameterizedModelObjectDefinition", Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
        "mation")]
    public ParameterizedModelObjectDefinition[] ParameterizedModelObjectDefinition
    {
        get => this.parameterizedModelObjectDefinitionField;
        set => this.parameterizedModelObjectDefinitionField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
    "Connector.EquipmentTypes")]
[System.Xml.Serialization.XmlRoot(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
    "Connector.EquipmentTypes", IsNullable = false)]
public partial class EventActionSequences
{

    private EventActionSequenceDefinition[] eventActionSequenceDefinitionField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement("EventActionSequenceDefinition", Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
        "mation")]
    public EventActionSequenceDefinition[] EventActionSequenceDefinition
    {
        get => this.eventActionSequenceDefinitionField;
        set => this.eventActionSequenceDefinitionField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
    "Connector.EquipmentTypes")]
[System.Xml.Serialization.XmlRoot(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
    "Connector.EquipmentTypes", IsNullable = false)]
public partial class TransientEquipmentObjectTypes
{

    private ParameterizedModelObjectDefinition[] parameterizedModelObjectDefinitionField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement("ParameterizedModelObjectDefinition", Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
        "mation")]
    public ParameterizedModelObjectDefinition[] ParameterizedModelObjectDefinition
    {
        get => this.parameterizedModelObjectDefinitionField;
        set => this.parameterizedModelObjectDefinitionField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
    "mation")]
public partial class EventActionSequenceDefinitionEventActionParameterDefinition
{

    private byte idField;

    private object nameField;

    private EventActionSequenceDefinitionEventActionParameterDefinitionModelObjectParameterDefinition[] parametersField;

    private string typeField;

    private byte positionField;

    private string id1Field;

    /// <remarks/>
    public byte Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(IsNullable = true)]
    public object Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("ModelObjectParameterDefinition", IsNullable = false)]
    public EventActionSequenceDefinitionEventActionParameterDefinitionModelObjectParameterDefinition[] Parameters
    {
        get => this.parametersField;
        set => this.parametersField = value;
    }

    /// <remarks/>
    public string Type
    {
        get => this.typeField;
        set => this.typeField = value;
    }

    /// <remarks/>
    public byte Position
    {
        get => this.positionField;
        set => this.positionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id1
    {
        get => this.id1Field;
        set => this.id1Field = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
    "mation")]
public partial class EventActionSequenceDefinitionEventActionParameterDefinitionModelObjectParameterDefinition
{

    private object categoryField;

    private object descriptionField;

    private object displayNameField;

    private object enumTypeField;

    private byte idField;

    private bool isMandatoryField;

    private string nameField;

    private byte orderField;

    private string valueField;

    private string valueTypeField;

    private string id1Field;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(IsNullable = true)]
    public object Category
    {
        get => this.categoryField;
        set => this.categoryField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(IsNullable = true)]
    public object Description
    {
        get => this.descriptionField;
        set => this.descriptionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(IsNullable = true)]
    public object DisplayName
    {
        get => this.displayNameField;
        set => this.displayNameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(IsNullable = true)]
    public object EnumType
    {
        get => this.enumTypeField;
        set => this.enumTypeField = value;
    }

    /// <remarks/>
    public byte Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    public bool IsMandatory
    {
        get => this.isMandatoryField;
        set => this.isMandatoryField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    public byte Order
    {
        get => this.orderField;
        set => this.orderField = value;
    }

    /// <remarks/>
    public string Value
    {
        get => this.valueField;
        set => this.valueField = value;
    }

    /// <remarks/>
    public string ValueType
    {
        get => this.valueTypeField;
        set => this.valueTypeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id1
    {
        get => this.id1Field;
        set => this.id1Field = value;
    }
}